%define name       songanalysis
%define ver        0.3.0
%define rel        1

Summary:      Song analyzer for the command line
Name:         %name
Version:      %ver
Release:      %rel
License:      GPL
URL:          http://www.amautacorp.com/staff/Rudd-O/
Group:        Sound
Source:       %{name}-%{version}.tar.gz
BuildRoot:    %{_tmppath}/%name-buildroot
Prefix: %{_prefix}
Requires:     /bin/nice , /usr/bin/mpg321 , /usr/bin/ogg123

%description
This tool is a small command line program which analyzes and tells
the frequency bands and beats per minute a song has.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build
%configure
make CFLAGS="-O3 -mtune=athlon-xp"

%install
rm -rf ${RPM_BUILD_ROOT}
%makeinstall

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-, root, root)
%{_bindir}/%name
%doc %{_docdir}/%name-%ver

%changelog
* Sun Nov 13 2005 Manuel Amador (Rudd-O) <rudd-o@amautacorp.com> 0.3.0-1
- changed start minimum BPM parameter in analysis.c from 80 to 120 (too many wrong BPMs)

* Thu Nov 10 2005 Manuel Amador (Rudd-O) <rudd-o@amautacorp.com> 0.2.1-1
- fixed a off-by-one bug in the frequency bucket calculations
- added documents to the distribution
- added -V cmdparm for the version and -N for the interface

* Thu Nov 10 2005 Manuel Amador (Rudd-O) <rudd-o@amautacorp.com> 0.2.0-1
- added libvorbis so ogg files can be decoded as well

* Fri Aug 12 2005 Manuel Amador (Rudd-O) <rudd-o@amautacorp.com> 0.1-1
- initial release
